---
title: API 키 만들기 | RunAPI
description: 표준 API 키를 만듭니다. 이 작업이 반환하는 평문 키는 한 번만 표시되므로 저장하십시오.
url: https://runapi.ai/ko/docs/api/management/keys/create.md
canonical: https://runapi.ai/ko/docs/api/management/keys/create
locale: ko
---

> HTML 버전: https://runapi.ai/ko/docs/api/management/keys/create
> 에이전트용 사이트 색인: https://runapi.ai/llms.txt

# API 키 만들기

표준 API 키를 만듭니다. 이 작업이 반환하는 평문 키는 한 번만 표시되므로 저장하십시오.

## 엔드포인트

POST /api/v1/keys

Base URL: https://runapi.ai

API 버전: v1

인증: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


Authorization: 계정 관리자 관리 API 키가 필요합니다. 새 표준 API 키는 호출자가 소유합니다.

## 요청

나열된 요청 위치에만 값을 전송하세요.

### JSON 본문

```json
{
  "allowed_models": {
    "description": "모델 식별자의 선택적 허용 목록.",
    "required": false,
    "type": "array | null"
  },
  "credit_limit_cents": {
    "description": "선택적 지출 한도(USD 센트).",
    "required": false,
    "type": "integer | null"
  },
  "credit_limit_reset_interval": {
    "description": "선택적 키 지출 한도 초기화 주기.",
    "enum": [
      "daily",
      "weekly",
      "monthly"
    ],
    "required": false,
    "type": "string | null"
  },
  "credit_limit_windows": {
    "description": "1h, 1d, 또는 7d를 키로 하는 롤링 지출 한도; 각 값에는 양의 정수 limit_cents가 포함됩니다.",
    "required": false,
    "type": "object"
  },
  "enabled": {
    "default": true,
    "description": "이 키를 사용한 요청이 허용되는지 여부.",
    "required": false,
    "type": "boolean"
  },
  "guardrail_id": {
    "description": "생성 시 첨부할 선택적 가드레일 접두사 ID.",
    "required": false,
    "type": "string"
  },
  "name": {
    "description": "API 키의 알기 쉬운 이름.",
    "required": false,
    "type": "string"
  }
}
```

## 성공 응답

HTTP 201 - POST /api/v1/keys

```json
{
  "allowed_models": [
    "gpt-5.4"
  ],
  "created_at": "2026-07-27T10:00:00.000Z",
  "credit_limit_cents": 1000,
  "credit_limit_reset_interval": "daily",
  "credit_limit_windows": {
    "1d": {
      "limit_cents": 500
    },
    "1h": {
      "limit_cents": 100
    },
    "7d": {
      "limit_cents": 2000
    }
  },
  "enabled": true,
  "guardrail_id": "guardrail_123",
  "id": "token_123",
  "key": "runapi_plaintext_example",
  "last_used_at": null,
  "masked_token": "runapi_abc...wxyz",
  "name": "Production"
}
```

## 오류 응답 (401)

HTTP 401

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Authentication required"
}
```

## 오류 응답 (403)

HTTP 403

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Management API key required"
}
```

## 오류 응답 (403)

HTTP 403

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Account admin required"
}
```

## 오류 응답 (400)

HTTP 400

### 응답 스키마

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 오류 메시지.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 응답 예시

```json
{
  "error": "page must be an integer"
}
```

## 오류 응답 (422)

HTTP 422

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
      "type": "string"
    },
    "errors": {
      "additionalProperties": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
      "type": "object"
    }
  },
  "required": [
    "error",
    "errors"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Validation failed",
  "errors": {
    "base": [
      "Validation failed"
    ]
  }
}
```

## cURL 예시



### curl

```curl
curl -X POST https://runapi.ai/api/v1/keys \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"name":"Production","credit_limit_cents":1000,"credit_limit_reset_interval":"daily","credit_limit_windows":{"1h":{"limit_cents":100},"1d":{"limit_cents":500},"7d":{"limit_cents":2000}},"allowed_models":["gpt-5.4"],"guardrail_id":"guardrail_123"}'
```

## 관련 참조

- [API 키](https://runapi.ai/ko/docs/api/management/keys.md)
- [API 키 객체](https://runapi.ai/ko/docs/api/management/keys/object.md)

---

## RunAPI의 더 많은 정보

- [홈](https://runapi.ai/ko/.md)
- [모델 카탈로그](https://runapi.ai/ko/models.md)
- [요금](https://runapi.ai/ko/pricing.md)
- [제공사](https://runapi.ai/ko/models)
- [문서](https://runapi.ai/ko/docs/guides)
- [SDK](https://runapi.ai/ko/sdk.md)
- [CLI](https://runapi.ai/ko/cli.md)
- [MCP Server](https://runapi.ai/ko/mcp.md)
- [Claude Code와 Cursor](https://runapi.ai/ko/claude-code-vs-cursor.md)
- [Cursor API 설정](https://runapi.ai/ko/cursor-api-setup.md)
- [RunAPI와 OpenRouter 비교](https://runapi.ai/ko/openrouter-alternative.md)
- [엔터프라이즈](https://runapi.ai/ko/contact.md)
- [문의](https://runapi.ai/ko/contact.md)
- [약관](https://runapi.ai/ko/terms.md)
- [개인정보](https://runapi.ai/ko/privacy.md)
- [에이전트용 사이트 색인](https://runapi.ai/llms.txt)

문의: contact@runapi.ai

## 구조화된 데이터

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ko/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/koicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "TechArticle",
    "headline": "API 키 만들기",
    "description": "표준 API 키를 만듭니다. 이 작업이 반환하는 평문 키는 한 번만 표시되므로 저장하십시오.",
    "url": "https://runapi.ai/ko/docs/api/management/keys/create",
    "mainEntityOfPage": "https://runapi.ai/ko/docs/api/management/keys/create"
  }
]
```
